summaryrefslogtreecommitdiff
path: root/launch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'launch.sh')
-rwxr-xr-xlaunch.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/launch.sh b/launch.sh
index 73b08eac..ca100524 100755
--- a/launch.sh
+++ b/launch.sh
@@ -1,17 +1,20 @@
#!/bin/sh
poezio_dir=$(dirname "$0")
-VENV="poezio-venv"
+if [ -z "$POEZIO_VENV" ]
+then
+ POEZIO_VENV="poezio-venv"
+fi
if [ -d "$poezio_dir/.git" ]
then
args=$(git --git-dir="$poezio_dir/.git" show --format='%h %ci' | head -n1)
else
- args="0.8.3-dev"
+ args="0.9-dev"
fi
-if [ -e "$poezio_dir/$VENV" ]
+if [ -e "$poezio_dir/$POEZIO_VENV" ]
then
- PYTHON3="$poezio_dir/$VENV/bin/python3"
+ PYTHON3="$poezio_dir/$POEZIO_VENV/bin/python3"
else
echo ""
echo "WARNING: Not using the up-to-date launch format"
@@ -21,5 +24,6 @@ else
PYTHON3=python3
fi
+$PYTHON3 -c 'import sys;(print("Python 3.4 or newer is required") and exit(1)) if sys.version_info < (3, 4) else exit(0)' || exit 1
exec "$PYTHON3" "$poezio_dir/src/poezio.py" -v "$args" "$@"